// =====================================================================
//  main.c
// =====================================================================

//  Author:         (c) 2013 Camil Demetrescu
//  License:        See the end of this file for license information
//  Created:        September 20, 2013

//  Last changed:   $Date: 2013/09/20 15:00:07 $
//  Changed by:     $Author: demetres $
//  Revision:       $Revision: 1.00 $


#include "substring.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>


// ---------------------------------------------------------------------
// main
// ---------------------------------------------------------------------
int main() {

	char *s1, *s2, *s3, *s4;
	s1 = s2 = s3 = s4 = "hamburger";

	printf("Test 1:\n    prima: %s\n", s1);
	substring_remove(&s1, 8, 10);
	printf("    dopo: %s\n", s1);

	printf("Test 2:\n    prima: %s\n", s2);
	substring_remove(&s2, 3, 8);
	printf("    dopo: %s\n", s2);

	printf("Test 3:\n    prima: %s\n", s3);
	substring_remove(&s3, 0, 1);
	printf("    dopo: %s\n", s3);

	printf("Test 4:\n    prima: %s\n", s4);
	substring_remove(&s4, -2, 1);
	printf("    dopo: %s\n", s4);

	free(s1);
	free(s2);
	free(s3);
	free(s4);

    return 0;
}


// Copyright (C) 2013 Camil Demetrescu

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
// USA
