// =====================================================================
//  substring.h
// =====================================================================

//  Author:         (c) 2013 Camil Demetrescu
//  License:        See the end of this file for license information
//  Created:        September 20, 2013

//  Last changed:   $Date: 2013/09/20 15:00:07 $
//  Changed by:     $Author: demetres $
//  Revision:       $Revision: 1.00 $

#include "substring.h"
#include <stdlib.h>
#include <string.h>
#include <assert.h>

// ---------------------------------------------------------------------
// substring_remove
// --------------------------------------------------------------------
void substring_remove(char** s, int i, int j) {
	int l = strlen(*s);
	if (i<0) i=0;
	if (j<0) j=0;
	if (i>l) i=l;
	if (j>l) j=l;
	char* r = malloc(l-j+i+1);
	memcpy(r,   *s,   i);
	memcpy(r+i, *s+j, l-j);
	r[l-j+i] = 0;
	*s = r;
}


// Copyright (C) 2013 Camil Demetrescu

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
// USA
